Package org.pushingpixels.substance.api.painter.highlight

# Class FractionBasedHighlightPainter

java.lang.Object
org.pushingpixels.substance.api.painter.FractionBasedPainter
org.pushingpixels.substance.api.painter.highlight.FractionBasedHighlightPainter

All Implemented Interfaces:
  `SubstanceHighlightPainter`, `SubstanceTrait`

public class FractionBasedHighlightPainter extends FractionBasedPainter implements SubstanceHighlightPainter
Highlight painter with fraction-based stops and a color query associated with each stop. This class allows creating multi-gradient highlights with exact control over which color is used at every gradient control point.

## Field Summary

### Fields inherited from class org.pushingpixels.substance.api.painter.FractionBasedPainter

`colorQueries, fractions`

## Constructor Summary

Constructors
Constructor
Description
`FractionBasedHighlightPainter(String displayName, float[] fractions, ColorSchemeSingleColorQuery[] colorQueries)`
Creates a new fraction-based highlight painter.

## Method Summary

Modifier and Type
Method
Description
`void`
`paintHighlight(Graphics2D graphics, Component comp, int width, int height, SubstanceColorScheme colorScheme)`
Paints the highlight.

### Methods inherited from class org.pushingpixels.substance.api.painter.FractionBasedPainter

`getColorQueries, getDisplayName, getFractions`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.pushingpixels.substance.api.trait.SubstanceTrait

`getDisplayName`

## Constructor Details

### FractionBasedHighlightPainter

public FractionBasedHighlightPainter(String displayName, float[] fractions, ColorSchemeSingleColorQuery[] colorQueries)
Creates a new fraction-based highlight painter.

Parameters:
  `displayName` - The display name of this painter.
  `fractions` - The fractions of this painter. Must be strictly increasing, starting from 0.0 and ending at 1.0.
  `colorQueries` - The color queries of this painter. Must have the same size as the fractions array, and all entries must be non- `null`.

## Method Details

### paintHighlight

public void paintHighlight(Graphics2D graphics, Component comp, int width, int height, SubstanceColorScheme colorScheme)
Description copied from interface: `SubstanceHighlightPainter`
Paints the highlight.

Specified by:
  `paintHighlight` in interface `SubstanceHighlightPainter`
Parameters:
  `graphics` - Graphics context.
  `comp` - Component.
  `width` - Width.
  `height` - Height.
  `colorScheme` - The color scheme for painting the highlight.